Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIParameter

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIParameter

All Implemented Interfaces:
  EventListener, PartialStateHolder, StateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class UIParameter

extends UIComponentBase

UIParameter is a `UIComponent` that represents an optionally named configuration parameter for a parent component.

Parent components should retrieve the value of a parameter by calling `getValue()`. In this way, the parameter value can be set directly on the component (via `setValue()`), or retrieved indirectly via the value binding expression.

In some scenarios, it is necessary to provide a parameter name, in addition to the parameter value that is accessible via the `getValue()` method. `Renderer`s that support parameter names on their nested `UIParameter` child components should document their use of this property.

Field Summary
`static String` | `COMPONENT_FAMILY` The standard component family for this component.
`static String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`UIParameter()` Create a new `UIParameter` instance with default property values.

Method Summary
`String` | `getFamily()` Return the identifier of the component family to which this component belongs.
`String` | `getName()` Return the optional parameter name for this parameter.
`Object` | `getValue()` Returns the `value` property of the `UIParameter`.
`boolean` | `isDisable()` Return the value of the `disable` directive for this component.
`void` | `setDisable(boolean disable)` Sets the `disable` property of the `UIParameter`.
`void` | `setName(String name)` Set the optional parameter name for this parameter.
`void` | `setValue(Object value)` Sets the `value` property of the\ `UIParameter`.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

  The standard component family for this component.

  See Also:
    Constant Field Values

Constructor Detail

### UIParameter

    public UIParameter()

  Create a new `UIParameter` instance with default property values.

Method Detail

### getFamily

    public String getFamily()

  Description copied from class: `UIComponent`

  Return the identifier of the component family to which this component belongs. This identifier, in conjunction with the value of the `rendererType` property, may be used to select the appropriate `Renderer` for this component instance.

  Specified by:
    `getFamily` in class `UIComponent`

### getName

    public String getName()

  Return the optional parameter name for this parameter.

### setName

    public void setName(String name)

  Set the optional parameter name for this parameter.

  Parameters:
    `name` - The new parameter name, or `null` for no name

### getValue

    public Object getValue()

  Returns the `value` property of the `UIParameter`.

### setValue

    public void setValue(Object value)

  Sets the `value` property of the\ `UIParameter`.

  Parameters:
    `value` - the new value

### isDisable

    public boolean isDisable()

  Return the value of the `disable` directive for this component. This directive determines whether the parameter value should be disabled by assigning it a null value. If true, the `value` set on this component is ignored.

  Since:
    2.0

### setDisable

    public void setDisable(boolean disable)

  Sets the `disable` property of the `UIParameter`.

  Parameters:
    `disable` -
  Since:
    2.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.